KJL BUGS - Bug #2690

[ESS-CUTI] pengajuan cuti tidak masuk ke atasan yang memiliki secondary job.
04/17/2024 10:23 AM - Muhammad Bintar

Status: QA Test Start date: 04/17/2024
Priority: Normal Due date: 04/23/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer mohon supportnya untuk pengecekan terkait ess cuti dimana jika pada contoh 23070019 tidak ketemu atasan
nya, seharusnya masuk ke pak tri.

setelah di cek di data nya pak tri, pak tri tersebut ada data secondary job nya. seperti nya di taskid apv_ds belum membaca ke
secondary job.

HOME = EMPLOYEE MASTER DATA

Employee ID- 15120001 Company ID- PT. KJL Pl
Full Name: Tri Budiyanto Employee Office: PT. KJL Pl
Employee Status: Active Organization: PFIC
Employee Type: PEWTT Position: Asszistant I
Facilities Grievance Reward Language Skill Skill Date Specificatic
Action
Start Da... End Date Company ID Position Organizati.. J.. Memorandu... Motes
01/01/2023  3112/9888  PT. KJL Plastic Indonesia || 10000073 | 00000025 Pis

01/02/2023  3112/9999  PT. KJL Plastic Indonesia 10000032 00000020

A\ Notsecure  remote.minovais.com:1113

Mir

= My Workplace Human Resource  System Administration Search Q Heip I bvintar -
L Plastic Indonesia Organization Structure
HOME = MAINTAIN ORGANIZATION STRUCTURED
Object Tree [[+] Object Class Abbr Start Date End Date Vacant Status View Edit
port Quality Control 00000025 0 1-1-02-04-03-._ 19900101 99991231
Assistant Manager Quali... 10000073 P 1-1-02-04-03-._. 195900101 99991231
I | Quality Control Foreman | 10000330 P Quality Contro... 20230101 49991231
Titin Suprihatin 23070019 E 20230717 99991231
Quality Supervisor 00000026 o] 1-1-02-04-03-._. 19900101 99991231

Detail Master Data
| 0} = & & &
General Data Relationship Description Crganization Objec  Man Power Plannir
c A\ Notsecure  remote.minoy

=  MyWorkplace  Human Resource  System Administration Search Q Hep NP bintar ~

¢ PT. KIL Plasfic Indonesia Workflow Report

HOME = WORKFLOW REPORT
="/
Start Date: WorkflowStatus:
End Date: BusinessProcess:
ReglDFrom: 108721 ReglDTo:
FIC: OnBehalf:

> Request ID ReglD WorkflowStat... TaskName EmplDAs PIC | ExecuteBy  TaskStatus ExecuteAt
man Resource [ Title: 108721 : Leave KJL - Unfinish

tem Administration 108721 | Unfinish Create 23070019 - - Complete 2710372024 06:06:40
108721 Unfinish Approval DS 23070019 - - Waiting M-

custparam nya yaitu DirectSpvi1NewKJL

plus tambahin pada runpic nya jika tidak ketemu atasan nya , ditambahkan isian tabel di runpic supaya bisa di forwarding task
soalnya kalau di workflow report jika pic nya tanda strip maka tidak muncul di forwarding task.

remote.minovais.com:11138
database sql
remote.minovais.com, 1442
KJL_baseserver66

History

#1 - 04/18/2024 10:35 AM - M Azid Wahyudi

- File clipboard-202404181035-Ixrjc.png added

- Status changed from New to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin ,, issue ini terjadi karena posheadnya lebih dari 1 yang aktif
] Ko T1 PR | I =Ty I G- N (D) el W IN-6PEHSTRPC.. . PCMWFCUSTPARAM

Wy~
select
case when (@count = 3 then 2 when @count =
=] ) END ELSE BEGIN
SISET
-] fiseq = 1 END if |
gempheadla <> "'
or @empheadla is not null
-] ) begin
-|5et
@fixfApproval = |
SELECT
iempheadla
-] ) end else begin
—|5et
@fixApproval = |
SELECT
apr_appraiser_id
FROM
fitableapv
WHERE
apr_seq = (iseq
) end
—|select
@fixApproval AS DirectSupervisorl EmployeeID

100 % ~

"4 Results 5 Messages

Object|D
1 10000073
2 110000330 |
makasih

#2 - 04/18/2024 11:33 AM - M Azid Wahyudi

di test dulu ya dengen skenario dari om dan secondary job beberapa employeelD
